> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a notification channel

` POST /notification-channels `

Create a notification channel

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Request body (required)

Content type: ` application/json `

Request body

- ` value `: type ` object `

  - Required fields: ` name `, ` channel_type `, ` config `

  - ` name `: type ` string `

  - ` channel_type `: type ` string `

  - ` config `: type ` object `

## Responses

### ` 201 ` — Created notification channel

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` channel `

  - ` channel `: type ` object `; nullable

    - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` channel_type `, ` config `, ` enabled `, ` last_sent_at `, ` error_count `, ` last_error `, ` created_at `, ` updated_at `

    - ` id `: type ` string `

    - ` org_id `: type ` string `

    - ` env_id `: type ` string `

    - ` name `: type ` string `

    - ` channel_type `: type ` string `

    - ` config `: type ` string `

    - ` enabled `: type ` integer `

    - ` last_sent_at `: type ` string `; nullable

    - ` error_count `: type ` integer `

    - ` last_error `: type ` string `; nullable

    - ` created_at `: type ` string `

    - ` updated_at `: type ` string `

### ` 400 ` — Bad request

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X POST 'https://hookstream.io/v1/notification-channels' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "channel_type": "string",
  "config": {}
}'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/notification-channels', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "name": "string",
    "channel_type": "string",
    "config": {}
  })
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://hookstream.io/v1/notification-channels', headers=headers, json={
  "name": "string",
  "channel_type": "string",
  "config": {}
})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "name": "string",
  "channel_type": "string",
  "config": {}
}`)
	req, _ := http.NewRequest("POST", "https://hookstream.io/v1/notification-channels", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```